package beilv.venue.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;

/**
 * 场馆信息对象 beilv_venue
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
@Data
public class BeilvVenue extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 图片 */
    @Excel(name = "图片")
    private String cover;

    /** 名称 */
    @Excel(name = "名称")
    private String venueName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 电话 */
    @Excel(name = "电话")
    private String phoneNumber;

    /** 营业时间 */
    private String businessHours;

    /** 场馆介绍 */
    @Excel(name = "场馆介绍")
    private String venueIntroduction;

    /** 场地服务 */
    @Excel(name = "场地服务")
    private String venueService;

    /** 开始前N分钟不可预定 */
    @Excel(name = "开始前N分钟不可预定")
    private String thresholdValue;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setCover(String cover) 
    {
        this.cover = cover;
    }

    public String getCover() 
    {
        return cover;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setPhoneNumber(String phoneNumber) 
    {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneNumber() 
    {
        return phoneNumber;
    }

    public void setVenueIntroduction(String venueIntroduction) 
    {
        this.venueIntroduction = venueIntroduction;
    }

    public String getVenueIntroduction() 
    {
        return venueIntroduction;
    }

    public void setVenueService(String venueService) 
    {
        this.venueService = venueService;
    }

    public String getVenueService() 
    {
        return venueService;
    }

    public void setThresholdValue(String thresholdValue) 
    {
        this.thresholdValue = thresholdValue;
    }

    public String getThresholdValue() 
    {
        return thresholdValue;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cover", getCover())
            .append("address", getAddress())
            .append("phoneNumber", getPhoneNumber())
            .append("businessHours", getBusinessHours())
            .append("venueIntroduction", getVenueIntroduction())
            .append("venueService", getVenueService())
            .append("thresholdValue", getThresholdValue())
            .toString();
    }
}
